package com.phm.manage.mapper;

import com.phm.manage.domain.ExternalInterfaceLog;

import java.util.List;

/**
 * 外部接口日志Mapper接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface ExternalInterfaceLogMapper {
    /**
     * 查询外部接口日志
     *
     * @param id 外部接口日志主键
     * @return 外部接口日志
     */
    public ExternalInterfaceLog selectExternalInterfaceLogById(Long id);

    /**
     * 查询外部接口日志列表
     *
     * @param externalInterfaceLog 外部接口日志
     * @return 外部接口日志集合
     */
    public List<ExternalInterfaceLog> selectExternalInterfaceLogList(ExternalInterfaceLog externalInterfaceLog);

    /**
     * 新增外部接口日志
     *
     * @param externalInterfaceLog 外部接口日志
     * @return 结果
     */
    public int insertExternalInterfaceLog(ExternalInterfaceLog externalInterfaceLog);

    /**
     * 修改外部接口日志
     *
     * @param externalInterfaceLog 外部接口日志
     * @return 结果
     */
    public int updateExternalInterfaceLog(ExternalInterfaceLog externalInterfaceLog);

    /**
     * 删除外部接口日志
     *
     * @param id 外部接口日志主键
     * @return 结果
     */
    public int deleteExternalInterfaceLogById(Long id);

    /**
     * 批量删除外部接口日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteExternalInterfaceLogByIds(Long[] ids);
}
