package com.phm.manage.mapper;

import com.phm.manage.domain.GroundDiagnosisModel;

import java.util.List;

/**
 * 地面诊断模型信息Mapper接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface GroundDiagnosisModelMapper {
    /**
     * 查询地面诊断模型信息
     *
     * @param id 地面诊断模型信息主键
     * @return 地面诊断模型信息
     */
    public GroundDiagnosisModel selectGroundDiagnosisModelById(Long id);

    /**
     * 查询地面诊断模型信息列表
     *
     * @param groundDiagnosisModel 地面诊断模型信息
     * @return 地面诊断模型信息集合
     */
    public List<GroundDiagnosisModel> selectGroundDiagnosisModelList(GroundDiagnosisModel groundDiagnosisModel);

    /**
     * 新增地面诊断模型信息
     *
     * @param groundDiagnosisModel 地面诊断模型信息
     * @return 结果
     */
    public int insertGroundDiagnosisModel(GroundDiagnosisModel groundDiagnosisModel);

    /**
     * 修改地面诊断模型信息
     *
     * @param groundDiagnosisModel 地面诊断模型信息
     * @return 结果
     */
    public int updateGroundDiagnosisModel(GroundDiagnosisModel groundDiagnosisModel);

    /**
     * 删除地面诊断模型信息
     *
     * @param id 地面诊断模型信息主键
     * @return 结果
     */
    public int deleteGroundDiagnosisModelById(Long id);

    /**
     * 批量删除地面诊断模型信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGroundDiagnosisModelByIds(Long[] ids);
}
