package com.phm.manage.service;

import com.phm.manage.domain.MaintenanceTestControl;

import java.util.List;

/**
 * 维修测试控制Service接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface IMaintenanceTestControlService {
    /**
     * 查询维修测试控制
     *
     * @param id 维修测试控制主键
     * @return 维修测试控制
     */
    public MaintenanceTestControl selectMaintenanceTestControlById(Long id);

    /**
     * 查询维修测试控制列表
     *
     * @param maintenanceTestControl 维修测试控制
     * @return 维修测试控制集合
     */
    public List<MaintenanceTestControl> selectMaintenanceTestControlList(MaintenanceTestControl maintenanceTestControl);

    /**
     * 新增维修测试控制
     *
     * @param maintenanceTestControl 维修测试控制
     * @return 结果
     */
    public int insertMaintenanceTestControl(MaintenanceTestControl maintenanceTestControl);

    /**
     * 修改维修测试控制
     *
     * @param maintenanceTestControl 维修测试控制
     * @return 结果
     */
    public int updateMaintenanceTestControl(MaintenanceTestControl maintenanceTestControl);

    /**
     * 批量删除维修测试控制
     *
     * @param ids 需要删除的维修测试控制主键集合
     * @return 结果
     */
    public int deleteMaintenanceTestControlByIds(Long[] ids);

    /**
     * 删除维修测试控制信息
     *
     * @param id 维修测试控制主键
     * @return 结果
     */
    public int deleteMaintenanceTestControlById(Long id);
}
